<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.logging.size-rotating-file-handler.file">
    <annotation name="jboss-op">
        <elem name="name" value="write-attribute"/>
        <elem name="op-params" value="relative-to,path"/>
        <elem name="complex-attribute" value="file"/>
        <elem name="addr-params" value="profile,subsystem,size-rotating-file-handler"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.logging"/>
    </annotation>
    <requires>
        <capability name="org.wildfly.management.path.$relative-to" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.logging.size-rotating-file-handler"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="subsystem" feature-id="true" default="logging"/>
        <param name="path"/>
        <param name="relative-to" nillable="true"/>
        <param name="size-rotating-file-handler" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>